Tracks stop loading into either or both decks.

Bug #1525738 reported by Marshall on 2015-12-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mixxx
Critical
Uwe Klotz

Bug Description

I was running AutoDJ and after a few minutes it stopped loading songs into deck 1. When song in deck 2 ended it faded to deck 1(empty but with time of last song displayed) "played" about 8 seconds as it loaded deck 2 and faded back. Later both decks stopped working. AutoDJ was fading back and forth, playing about 8 seconds on either deck with nothing loaded but the last song times still showing. At each switch the top song was removed from the playlist as if it was loaded. I tried to manually load a song in to both decks and it did nothing.
Windows 10 on HP Elitebook 8570W Core i7-3630QM 2.4GHZ Running build 1.12-r5678

Marshall (hammontree153) wrote :
Marshall (hammontree153) on 2015-12-14
description: updated
description: updated
Daniel Schürmann (daschuer) wrote :

That sounds scary..

Could you provide the log from the faulty run as well? By luck it still exists as mixxx.log.1 or any other suffix.

Can you recall which tracks where playing when th issue starts? Can you play them normally without auto DJ?

Are you able to reproduce the issue, or any idea how?

Changed in mixxx:
importance: Undecided → Critical

Here you go, all the other log files i have. Surely one of them has it.
Also i ran it for a while last night and it hasn't done it again so far. I
suspect it could be something to do with the skins as i would try to change
it and it would sometimes freeze and crash. These should also be in those
logs.

On Mon, Dec 14, 2015 at 2:14 AM, Daniel Schürmann <
<email address hidden>> wrote:

> That sounds scary..
>
> Could you provide the log from the faulty run as well? By luck it still
> exists as mixxx.log.1 or any other suffix.
>
> Can you recall which tracks where playing when th issue starts? Can you
> play them normally without auto DJ?
>
> Are you able to reproduce the issue, or any idea how?
>
> ** Changed in: mixxx
> Importance: Undecided => Critical
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1525738
>
> Title:
> Tracks stop loading into either or both decks.
>
> Status in Mixxx:
> New
>
> Bug description:
> I was running AutoDJ and after a few minutes it stopped loading songs
> into deck 1. When song in deck 2 ended it faded to deck 1(empty but with
> time of last song displayed) "played" about 8 seconds as it loaded deck 2
> and faded back. Later both decks stopped working. AutoDJ was fading back
> and forth, playing about 8 seconds on either deck with nothing loaded but
> the last song times still showing. At each switch the top song was removed
> from the playlist as if it was loaded. I tried to manually load a song in
> to both decks and it did nothing.
> Windows 10 on HP Elitebook 8570W Core i7-3630QM 2.4GHZ Running build
> 1.12-r5678
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1525738/+subscriptions
>

Uwe Klotz (uklotzde) wrote :

AutoDJ has always shown various kinds of weird behaviour to me and I try to avoid it. Maybe the whole implementation needs a rework.

The violated assertion in mixxx.log.4 might be caused by AutoDJ, although the logs do not reveal the actual cause:

   Fatal [Main]: ASSERT failure in QList<T>::operator[]: "index out of range", file c:\mixxx\environments\2.0-x64-release\build\qt-everywhere-opensource-src-4.8.6\include\qtcore\../../src/corelib/tools/qlist.h, line 477

I see many failures of CachingReader trying to read audio data in the more recent log files mixxx.log.2/.3:

   Debug []: ERROR: Could not submit read request for ...

This might be the cause for the truncated files and the confusion of AutoDJ. The implementation of CachingReader(-Worker) gets a rework for 2.1 together with the new SoundSource backend. I've never seen any failure of CachingReader(-Worker) recently in my logs since I'm using 2.1 alpha.

Unfortunately those changes cannot be backported easily to 2.0. We need to find out the cause for the truncation and implement a quick fix for 2.0 until 2.1 is ready for prime time.

Marshall (hammontree153) wrote :

Thanks, all of that is pretty much over my head though. It hasn't done it
again though so possibly was a one off thing. If it starts again i will try
yo record what it does.

On Mon, Dec 14, 2015, 5:10 PM Uwe Klotz <email address hidden> wrote:

> AutoDJ has always shown various kinds of weird behaviour to me and I try
> to avoid it. Maybe the whole implementation needs a rework.
>
> The violated assertion in mixxx.log.4 might be caused by AutoDJ,
> although the logs do not reveal the actual cause:
>
> Fatal [Main]: ASSERT failure in QList<T>::operator[]: "index out of
> range", file c:\mixxx\environments\2.0-x64-release\build\qt-everywhere-
> opensource-src-4.8.6\include\qtcore\../../src/corelib/tools/qlist.h,
> line 477
>
>
> I see many failures of CachingReader trying to read audio data in the more
> recent log files mixxx.log.2/.3:
>
> Debug []: ERROR: Could not submit read request for ...
>
> This might be the cause for the truncated files and the confusion of
> AutoDJ. The implementation of CachingReader(-Worker) gets a rework for
> 2.1 together with the new SoundSource backend. I've never seen any
> failure of CachingReader(-Worker) recently in my logs since I'm using
> 2.1 alpha.
>
> Unfortunately those changes cannot be backported easily to 2.0. We need
> to find out the cause for the truncation and implement a quick fix for
> 2.0 until 2.1 is ready for prime time.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1525738
>
> Title:
> Tracks stop loading into either or both decks.
>
> Status in Mixxx:
> New
>
> Bug description:
> I was running AutoDJ and after a few minutes it stopped loading songs
> into deck 1. When song in deck 2 ended it faded to deck 1(empty but with
> time of last song displayed) "played" about 8 seconds as it loaded deck 2
> and faded back. Later both decks stopped working. AutoDJ was fading back
> and forth, playing about 8 seconds on either deck with nothing loaded but
> the last song times still showing. At each switch the top song was removed
> from the playlist as if it was loaded. I tried to manually load a song in
> to both decks and it did nothing.
> Windows 10 on HP Elitebook 8570W Core i7-3630QM 2.4GHZ Running build
> 1.12-r5678
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1525738/+subscriptions
>

Changed in mixxx:
status: New → Confirmed
Trevor Hansen (trevornhansen) wrote :

I also have had this happen just this past weekend, I will attempt to send logs as well. I'm using 2.0.0 on a windows 10 with sufficient specs.

Daniel Schürmann (daschuer) wrote :

Yes, a logfile from a faulty run may help.
Which file type e.g. *.mp3 do you use?

Since 2.0.0 we have done significant changes in the engine.
By luck this issue is already solved.

Could you try the latest build from here, and report if the issue still exists?
http://downloads.mixxx.org/builds/master/release/
Unfortunately these are untested alpha versions
So please backup your %LOCALAPPDATA%\Mixxx folder before.

Marshall (hammontree153) wrote :

I haven't even done any dj stuff in over a year anyway.

On Sep 25, 2017 5:25 PM, "Daniel Schürmann" <email address hidden>
wrote:

> Yes, a logfile from a faulty run may help.
> Which file type e.g. *.mp3 do you use?
>
> Since 2.0.0 we have done significant changes in the engine.
> By luck this issue is already solved.
>
> Could you try the latest build from here, and report if the issue still
> exists?
> http://downloads.mixxx.org/builds/master/release/
> Unfortunately these are untested alpha versions
> So please backup your %LOCALAPPDATA%\Mixxx folder before.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1525738
>
> Title:
> Tracks stop loading into either or both decks.
>
> Status in Mixxx:
> Confirmed
>
> Bug description:
> I was running AutoDJ and after a few minutes it stopped loading songs
> into deck 1. When song in deck 2 ended it faded to deck 1(empty but with
> time of last song displayed) "played" about 8 seconds as it loaded deck 2
> and faded back. Later both decks stopped working. AutoDJ was fading back
> and forth, playing about 8 seconds on either deck with nothing loaded but
> the last song times still showing. At each switch the top song was removed
> from the playlist as if it was loaded. I tried to manually load a song in
> to both decks and it did nothing.
> Windows 10 on HP Elitebook 8570W Core i7-3630QM 2.4GHZ Running build
> 1.12-r5678
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1525738/+subscriptions
>

Uwe Klotz (uklotzde) wrote :

Will become obsolete with introduction of the new SoundSource framework and many more internal rework in Mixxx 2.1.

Changed in mixxx:
assignee: nobody → Uwe Klotz (uklotzde)
milestone: none → 2.1.0
Be (be.ing) on 2017-11-11
Changed in mixxx:
status: Confirmed → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers